<?php
namespace Teknisa\CDP\Modules\Producao\Factories;

use Doctrine\ORM\EntityManager;

class cdp06400PontosCriticosFactory {

    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection       = $entityManager->getConnection();
        $this->entityManager    = $entityManager;
    }

    public function incrementeCodigoPontoCritico($nrorg){
        try {
     
        $sql = "SELECT  LPAD( NVL(MAX(CDINSPECAO),0) + 1 ,10,'0') AS CDINSPECAO  FROM INSPECAO
                    WHERE NRORG = :NRORG";
        
        $params = array(
            'NRORG'=>$nrorg,
        );
        $std = $this->connection->prepare($sql);
        $std->execute($params);
        return $std->fetchAll();
            
        }catch (\Exception $e) {
            throw $e;
        }
       
    }
    
}