<?php
namespace Teknisa\CDP\Modules\Producao\Services;

use Doctrine\ORM\EntityManager;
use Geral\Util\DateUtil;
use Teknisa\Libs\Util\Environment;


class cdp02200GrupoDeEquipamentoService{

	protected $entityManager;
	protected $environment;
	protected $newCode;
	protected $cdp02200GrupoDeEquipamentoFactory;

	public function __construct(Environment $environment, EntityManager $entityManager, $cdp02200GrupoDeEquipamentoFactory){
		$this->environment				= $environment;
		$this->entityManager           = $entityManager;
		$this->cdp02200GrupoDeEquipamentoFactory = $cdp02200GrupoDeEquipamentoFactory;
	}

	
    public function deleteGrupo($rows){
        try{
        	$connection = $this->entityManager->getConnection();
            $connection->beginTransaction();
            
        	$this->cdp02200GrupoDeEquipamentoFactory->deleteTabelaEquipamento($rows['NRORG'],$rows['CDGRUPOEQUIPA']);
        	
        	$this->cdp02200GrupoDeEquipamentoFactory->deleteTabelaGrupo($rows['NRORG'],$rows['CDGRUPOEQUIPA']);
        	
        	$connection->commit();
        	
        }catch (\Exception $e) {
	        $this->entityManager->rollback();
	        throw $e;
	    }
        
        
    }


}

?>