<?php
namespace Teknisa\CDP\Modules\Qualidade\Services;

use Teknisa\CDP\Modules\Qualidade\Factories\QPR01000ParametrosQualidadeProducaoFactory as QPR01000ParametrosQualidadeProducaoFactory; 
use Teknisa\Libs\Util\Environment as Environment;

class QPR01000ParametrosQualidadeProducaoService {

	protected $ItemChecagemFactory;
	protected $nrOrg;
	protected $environment;

	public function __construct(QPR01000ParametrosQualidadeProducaoFactory $ItemChecagemFactory, Environment $environment){
		$this->environment = $environment;
		$this->QPR01000ParametrosQualidadeProducaoFactory = $ItemChecagemFactory;
	}
	
	public function getProxConsulta($row){
	    return $this->QPR01000ParametrosQualidadeProducaoFactory->getProxConsulta();
	}
	
	public function getUltConsulta($row){
		$params = array();
		$params["CDFILIAL"] = $row["CDFILIAL"];
		$params["NRORG"] = $this->environment->getNrOrg();
	    return $this->QPR01000ParametrosQualidadeProducaoFactory->getUltConsulta($params);
	}
    
}

?>